Commit e7729112 authored by Wietse Kuipers's avatar Wietse Kuipers
Browse files

Attempt to build android app

parent e64be6d8
image: wkuipers/docker-react-native-yarn:latest image: wkuipers/docker-react-native-yarn:latest
before_script:
- yarn install
stages: stages:
- lint
- build - build
cache: eslint:
untracked: true stage: lint
key: "$CI_PROJECT_ID"
paths:
- node_modules/
- .yarn
install:
stage: build
script: script:
- yarn config set cache-folder .yarn - yarn run eslint *.js app
- yarn install
lint: build_android:
stage: build stage: build
script: script:
- yarn lint - cd android
- ./gradlew build
...@@ -87,6 +87,10 @@ android { ...@@ -87,6 +87,10 @@ android {
compileSdkVersion 23 compileSdkVersion 23
buildToolsVersion "23.0.1" buildToolsVersion "23.0.1"
lintOptions {
abortOnError false
}
defaultConfig { defaultConfig {
applicationId "com.thaliapp" applicationId "com.thaliapp"
minSdkVersion 16 minSdkVersion 16
......
...@@ -5,7 +5,6 @@ ...@@ -5,7 +5,6 @@
}; };
objectVersion = 46; objectVersion = 46;
objects = { objects = {
/* Begin PBXBuildFile section */ /* Begin PBXBuildFile section */
00C302E51ABCBA2D00DB3ED1 /* libRCTActionSheet.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 00C302AC1ABCB8CE00DB3ED1 /* libRCTActionSheet.a */; }; 00C302E51ABCBA2D00DB3ED1 /* libRCTActionSheet.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 00C302AC1ABCB8CE00DB3ED1 /* libRCTActionSheet.a */; };
00C302E71ABCBA2D00DB3ED1 /* libRCTGeolocation.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 00C302BA1ABCB90400DB3ED1 /* libRCTGeolocation.a */; }; 00C302E71ABCBA2D00DB3ED1 /* libRCTGeolocation.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 00C302BA1ABCB90400DB3ED1 /* libRCTGeolocation.a */; };
...@@ -641,7 +640,7 @@ ...@@ -641,7 +640,7 @@
83CBB9F71A601CBA00E9B192 /* Project object */ = { 83CBB9F71A601CBA00E9B192 /* Project object */ = {
isa = PBXProject; isa = PBXProject;
attributes = { attributes = {
LastUpgradeCheck = 0830; LastUpgradeCheck = 830;
ORGANIZATIONNAME = Facebook; ORGANIZATIONNAME = Facebook;
TargetAttributes = { TargetAttributes = {
00E356ED1AD99517003FC87E = { 00E356ED1AD99517003FC87E = {
......
...@@ -36,7 +36,7 @@ ...@@ -36,7 +36,7 @@
</dict> </dict>
</dict> </dict>
<key>NSLocationWhenInUseUsageDescription</key> <key>NSLocationWhenInUseUsageDescription</key>
<string></string> <string/>
<key>UIAppFonts</key> <key>UIAppFonts</key>
<array> <array>
<string>Entypo.ttf</string> <string>Entypo.ttf</string>
......
...@@ -770,7 +770,7 @@ babel-plugin-transform-strict-mode@^6.24.1: ...@@ -770,7 +770,7 @@ babel-plugin-transform-strict-mode@^6.24.1:
babel-runtime "^6.22.0" babel-runtime "^6.22.0"
babel-types "^6.24.1" babel-types "^6.24.1"
babel-polyfill@^6.20.0: babel-polyfill@^6.20.0, babel-polyfill@^6.23.0:
version "6.23.0" version "6.23.0"
resolved "https://registry.yarnpkg.com/babel-polyfill/-/babel-polyfill-6.23.0.tgz#8364ca62df8eafb830499f699177466c3b03499d" resolved "https://registry.yarnpkg.com/babel-polyfill/-/babel-polyfill-6.23.0.tgz#8364ca62df8eafb830499f699177466c3b03499d"
dependencies: dependencies:
...@@ -3024,6 +3024,10 @@ jest-diff@^19.0.0: ...@@ -3024,6 +3024,10 @@ jest-diff@^19.0.0:
jest-matcher-utils "^19.0.0" jest-matcher-utils "^19.0.0"
pretty-format "^19.0.0" pretty-format "^19.0.0"
jest-docblock@^20.0.3:
version "20.0.3"
resolved "https://registry.yarnpkg.com/jest-docblock/-/jest-docblock-20.0.3.tgz#17bea984342cc33d83c50fbe1545ea0efaa44712"
jest-environment-jsdom@^19.0.2: jest-environment-jsdom@^19.0.2:
version "19.0.2" version "19.0.2"
resolved "https://registry.yarnpkg.com/jest-environment-jsdom/-/jest-environment-jsdom-19.0.2.tgz#ceda859c4a4b94ab35e4de7dab54b926f293e4a3" resolved "https://registry.yarnpkg.com/jest-environment-jsdom/-/jest-environment-jsdom-19.0.2.tgz#ceda859c4a4b94ab35e4de7dab54b926f293e4a3"
...@@ -3043,7 +3047,7 @@ jest-file-exists@^19.0.0: ...@@ -3043,7 +3047,7 @@ jest-file-exists@^19.0.0:
version "19.0.0" version "19.0.0"
resolved "https://registry.yarnpkg.com/jest-file-exists/-/jest-file-exists-19.0.0.tgz#cca2e587a11ec92e24cfeab3f8a94d657f3fceb8" resolved "https://registry.yarnpkg.com/jest-file-exists/-/jest-file-exists-19.0.0.tgz#cca2e587a11ec92e24cfeab3f8a94d657f3fceb8"
jest-haste-map@19.0.0, jest-haste-map@^19.0.0: jest-haste-map@^19.0.0:
version "19.0.0" version "19.0.0"
resolved "https://registry.yarnpkg.com/jest-haste-map/-/jest-haste-map-19.0.0.tgz#adde00b62b1fe04432a104b3254fc5004514b55e" resolved "https://registry.yarnpkg.com/jest-haste-map/-/jest-haste-map-19.0.0.tgz#adde00b62b1fe04432a104b3254fc5004514b55e"
dependencies: dependencies:
...@@ -3053,6 +3057,17 @@ jest-haste-map@19.0.0, jest-haste-map@^19.0.0: ...@@ -3053,6 +3057,17 @@ jest-haste-map@19.0.0, jest-haste-map@^19.0.0:
sane "~1.5.0" sane "~1.5.0"
worker-farm "^1.3.1" worker-farm "^1.3.1"
jest-haste-map@^20.0.4:
version "20.0.4"
resolved "https://registry.yarnpkg.com/jest-haste-map/-/jest-haste-map-20.0.4.tgz#653eb55c889ce3c021f7b94693f20a4159badf03"
dependencies:
fb-watchman "^2.0.0"
graceful-fs "^4.1.11"
jest-docblock "^20.0.3"
micromatch "^2.3.11"
sane "~1.6.0"
worker-farm "^1.3.1"
jest-jasmine2@^19.0.2: jest-jasmine2@^19.0.2:
version "19.0.2" version "19.0.2"
resolved "https://registry.yarnpkg.com/jest-jasmine2/-/jest-jasmine2-19.0.2.tgz#167991ac825981fb1a800af126e83afcca832c73" resolved "https://registry.yarnpkg.com/jest-jasmine2/-/jest-jasmine2-19.0.2.tgz#167991ac825981fb1a800af126e83afcca832c73"
...@@ -4272,9 +4287,9 @@ react-native-web@^0.0.81: ...@@ -4272,9 +4287,9 @@ react-native-web@^0.0.81:
react-textarea-autosize "^4.0.4" react-textarea-autosize "^4.0.4"
react-timer-mixin "^0.13.3" react-timer-mixin "^0.13.3"
react-native@0.44.0: react-native@0.44.2:
version "0.44.0" version "0.44.2"
resolved "https://registry.yarnpkg.com/react-native/-/react-native-0.44.0.tgz#06427a30053f2d555c60fe0b9afcc6c778db09de" resolved "https://registry.yarnpkg.com/react-native/-/react-native-0.44.2.tgz#c8dfb747b88e6276a991980c57c50b860a98cf0e"
dependencies: dependencies:
absolute-path "^0.0.0" absolute-path "^0.0.0"
art "^0.10.0" art "^0.10.0"
...@@ -4315,7 +4330,7 @@ react-native@0.44.0: ...@@ -4315,7 +4330,7 @@ react-native@0.44.0:
immutable "~3.7.6" immutable "~3.7.6"
imurmurhash "^0.1.4" imurmurhash "^0.1.4"
inquirer "^0.12.0" inquirer "^0.12.0"
jest-haste-map "19.0.0" jest-haste-map "^20.0.4"
joi "^6.6.1" joi "^6.6.1"
json-stable-stringify "^1.0.1" json-stable-stringify "^1.0.1"
json5 "^0.4.0" json5 "^0.4.0"
...@@ -4693,6 +4708,18 @@ sane@~1.5.0: ...@@ -4693,6 +4708,18 @@ sane@~1.5.0:
walker "~1.0.5" walker "~1.0.5"
watch "~0.10.0" watch "~0.10.0"
sane@~1.6.0:
version "1.6.0"
resolved "https://registry.yarnpkg.com/sane/-/sane-1.6.0.tgz#9610c452307a135d29c1fdfe2547034180c46775"
dependencies:
anymatch "^1.3.0"
exec-sh "^0.2.0"
fb-watchman "^1.8.0"
minimatch "^3.0.2"
minimist "^1.1.1"
walker "~1.0.5"
watch "~0.10.0"
sax@^1.2.1: sax@^1.2.1:
version "1.2.2" version "1.2.2"
resolved "https://registry.yarnpkg.com/sax/-/sax-1.2.2.tgz#fd8631a23bc7826bef5d871bdb87378c95647828" resolved "https://registry.yarnpkg.com/sax/-/sax-1.2.2.tgz#fd8631a23bc7826bef5d871bdb87378c95647828"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment